cant compile, ubuntu-karmic

Added by Łukasz Gruner about 1 year ago

uki@skynet:~/tmp/subtle-0.8.1602-zeta$ rake 
(in /home/uki/tmp/subtle-0.8.1602-zeta)
CC build/event.o
src/subtle/event.c:1026: error: expected ‘)’ before ‘*’ token
rake aborted!
Compiler failed with status 1
/home/uki/tmp/subtle-0.8.1602-zeta/Rakefile:129:in `compile'
(See full trace by running task with --trace)
uki@skynet:~/tmp/subtle-0.8.1602-zeta$ rake --trace
(in /home/uki/tmp/subtle-0.8.1602-zeta)
** Invoke default (first_time)
** Invoke config (first_time)
** Execute config
** Invoke build (first_time)
** Invoke config 
** Invoke subtle (first_time)
** Invoke config 
** Invoke build/shared.wm.o (first_time, not_needed)
** Invoke src/shared/shared.c (first_time, not_needed)
** Invoke build/panel.o (first_time, not_needed)
** Invoke src/subtle/panel.c (first_time, not_needed)
** Invoke build/ewmh.o (first_time, not_needed)
** Invoke src/subtle/ewmh.c (first_time, not_needed)
** Invoke build/icon.o (first_time, not_needed)
** Invoke src/subtle/icon.c (first_time, not_needed)
** Invoke build/tray.o (first_time, not_needed)
** Invoke src/subtle/tray.c (first_time, not_needed)
** Invoke build/gravity.o (first_time, not_needed)
** Invoke src/subtle/gravity.c (first_time, not_needed)
** Invoke build/view.o (first_time, not_needed)
** Invoke src/subtle/view.c (first_time, not_needed)
** Invoke build/event.o (first_time)
** Invoke src/subtle/event.c (first_time, not_needed)
** Execute build/event.o
gcc -o build/event.o -c -Wall -Werror -Wpointer-arith -Wstrict-prototypes -Wunused -Wshadow -std=gnu99 -g -DNDEBUG   -DWM -I. -Ibuild -Isrc -Isrc/shared -Isrc/subtle -idirafter/usr/lib/ruby/1.8/i486-linux -idirafter/usr/lib/ruby/1.8/i486-linux/i486-linux src/subtle/event.c
src/subtle/event.c:1026: error: expected ‘)’ before ‘*’ token
rake aborted!
Compiler failed with status 1
/home/uki/tmp/subtle-0.8.1602-zeta/Rakefile:129:in `compile'
/home/uki/tmp/subtle-0.8.1602-zeta/Rakefile:94:in `call'
/home/uki/tmp/subtle-0.8.1602-zeta/Rakefile:94:in `silent_sh'
/home/uki/tmp/subtle-0.8.1602-zeta/Rakefile:127:in `compile'
/home/uki/tmp/subtle-0.8.1602-zeta/Rakefile:353
/usr/lib/ruby/1.8/rake.rb:617:in `call'
/usr/lib/ruby/1.8/rake.rb:617:in `execute'
/usr/lib/ruby/1.8/rake.rb:612:in `each'
/usr/lib/ruby/1.8/rake.rb:612:in `execute'
/usr/lib/ruby/1.8/rake.rb:578:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/1.8/rake.rb:571:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/rake.rb:588:in `invoke_prerequisites'
/usr/lib/ruby/1.8/rake.rb:585:in `each'
/usr/lib/ruby/1.8/rake.rb:585:in `invoke_prerequisites'
/usr/lib/ruby/1.8/rake.rb:577:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/1.8/rake.rb:571:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/rake.rb:588:in `invoke_prerequisites'
/usr/lib/ruby/1.8/rake.rb:585:in `each'
/usr/lib/ruby/1.8/rake.rb:585:in `invoke_prerequisites'
/usr/lib/ruby/1.8/rake.rb:577:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/1.8/rake.rb:571:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/rake.rb:588:in `invoke_prerequisites'
/usr/lib/ruby/1.8/rake.rb:585:in `each'
/usr/lib/ruby/1.8/rake.rb:585:in `invoke_prerequisites'
/usr/lib/ruby/1.8/rake.rb:577:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/1.8/rake.rb:571:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/rake.rb:564:in `invoke'
/usr/lib/ruby/1.8/rake.rb:2027:in `invoke_task'
/usr/lib/ruby/1.8/rake.rb:2005:in `top_level'
/usr/lib/ruby/1.8/rake.rb:2005:in `each'
/usr/lib/ruby/1.8/rake.rb:2005:in `top_level'
/usr/lib/ruby/1.8/rake.rb:2044:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1999:in `top_level'
/usr/lib/ruby/1.8/rake.rb:1977:in `run'
/usr/lib/ruby/1.8/rake.rb:2044:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1974:in `run'
/usr/bin/rake:28

same error happenned also when I pulled from latest


Replies (4)

RE: cant compile, ubuntu-karmic - Added by Christoph Kappel about 1 year ago

Oh, I really can't say what's wrong there. Will take a while, I am just downloading an ubuntu image to feed a vm. I will post again when I fixed it. Problem is most likely related to different gcc versions on ubuntu and my test systems.

RE: cant compile, ubuntu-karmic - Added by Christoph Kappel about 1 year ago

Got it, but can't commit now due pending changes which aren't finished. I added a patch for you, just use it like this in the subtle build directory:

wget http://unexist.scrapping.cc/attachments/24/xrandr.patch
patch p0 < xrandr.patch

xrandr.patch (523 Bytes)

RE: cant compile, ubuntu-karmic - Added by Christoph Kappel about 1 year ago

No problem, if you have any questions etc. just ask here or visit us in #subtle on freenode.

(1-4/4)